SCIM
PATCH
/v1/orgs/{org_id}/scim/v2/Groups/{group_id}Patch Group
Apply SCIM PATCH ops to a role-backed group. ``add`` / ``replace`` on the ``members`` path promotes the targeted user to this group's role; ``remove`` demotes them back to ``viewer``.
SCIM bearer tokenscope: scim provisioningoperation_id: scim.patchGroup
Authentication
Issued via POST /v1/orgs/{org_id}/scim/token (admin only). Keep it with your IdP.
SDK install
pip install znyx-sdknpm install @znyx/sdkHeader parameters
| Name | Type | Required | Description |
|---|---|---|---|
| authorization#header | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have the required role (admin / editor). | — |
| 404 | Target resource does not exist in this org. | — |
| 422 | Request body failed validation. | — |
Request
curl -X PATCH 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/scim/v2/Groups/00000000-0000-0000-0000-000000000000' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
null
Schema: any